<template>
  <div class="HomeSponsors">
    <div class="container">
      <ul class="HomeSponsors__categories">
        <li
          class="HomeSponsors__category"
          v-for="category in platinumSponsors"
          :key="category.name"
        >
          <h1 class="HomeSponsors__categoryname section-title">{{category.name}}</h1>
          <ul class="HomeSponsors__sponsors">
            <li v-for="sponsor in category.sponsors" :key="sponsor.name">
              <a :href="''+sponsor.link" target="_blank">
                <img
                  class="HomeSponsors__platinumsponsorimage"
                  :src="'/assets/partners/' + sponsor.image"
                />
              </a>
            </li>
          </ul>
        </li>
      </ul>

      <ul class="HomeSponsors__categories">
        <li class="HomeSponsors__category" v-for="category in goldSponsors" :key="category.name">
          <h1 class="HomeSponsors__categoryname section-title">{{category.name}}</h1>
          <ul class="HomeSponsors__sponsors">
            <li v-for="sponsor in category.sponsors" :key="sponsor.name">
              <a :href="''+sponsor.link" target="_blank">
                <img
                  class="HomeSponsors__goldsponsorimage"
                  :src="'/assets/partners/' + sponsor.image"
                />
              </a>
            </li>
          </ul>
        </li>
      </ul>

      <ul class="HomeSponsors__categories">
        <li class="HomeSponsors__category" v-for="category in silverSponsors" :key="category.name">
          <h1 class="HomeSponsors__categoryname section-title">{{category.name}}</h1>
          <ul class="HomeSponsors__sponsors">
            <li v-for="sponsor in category.sponsors" :key="sponsor.name">
              <a :href="''+sponsor.link" target="_blank">
                <img
                  class="HomeSponsors__silversponsorimage"
                  :src="'/assets/partners/' + sponsor.image"
                />
              </a>
            </li>
          </ul>
        </li>
      </ul>

      <!-- <h1 class="section-title">Sponsors</h1> -->
      <ul class="HomeSponsors__categories">
        <li
          class="HomeSponsors__category"
          v-for="category in sponsorCategories"
          :key="category.name"
        >
          <h1 class="HomeSponsors__categoryname section-title">{{category.name}}</h1>
          <ul class="HomeSponsors__sponsors">
            <li v-for="sponsor in category.sponsors" :key="sponsor.name">
              <a :href="''+sponsor.link" target="_blank">
                <img class="HomeSponsors__sponsorimage" :src="'/assets/partners/' + sponsor.image" />
              </a>
            </li>
          </ul>
        </li>
      </ul>
      <ul class="HomeSponsors__categories">
        <li class="HomeSponsors__category" v-for="category in templatePartner" :key="category.name">
          <h1 class="HomeSponsors__categoryname section-title">{{category.name}}</h1>
          <ul class="HomeSponsors__sponsors">
            <li v-for="sponsor in category.sponsors" :key="sponsor.name">
              <!-- <clazy-load :src="'/assets/partners/' + sponsor.image"> -->
              <a :href="''+sponsor.link" target="_blank">
                <img
                  class="HomeSponsors__sponsorimage"
                  :src="'/assets/partners/' + sponsor.image"
                  style="max-width:25rem"
                />
              </a>
              <!-- </clazy-load> -->
            </li>
          </ul>
        </li>
      </ul>
      <!-- <p>For sponsorships, email us at</p> -->
      <p>ໃຈດີຕ້ອງການເປັນຜູ້ສະໜັບສະໜູນ, ຕິດຕໍ່ຫາພວກເຮົາໄດ້ທີ່:</p>
      <span class="HomeSponsors__email">
        <a href="mailto:info@gdgvientiane.org">info@gdgvientiane.org</a>
        <p>020 5899 7099</p>
      </span>
    </div>
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      sponsorCategories: [
        {
          name: "Community Partners",
          sponsors: [
            {
              name: "GDG",
              image: "Community Partners-01.png",
              link: "https://developers.google.com/community/gdg"
            },
            {
              name: "Women Techmakers",
              image: "Community Partners-02.png",
              link: "https://www.womentechmakers.com/"
            },
            {
              name: "CQ",
              image: "Community Partners-09.png",
              link: "https://www.facebook.com/cqinfocompany/"
            },
            {
              name: "Barcamp Vientiane",
              image: "Community Partners-05.png",
              link: "https://www.facebook.com/barcampvientiane/"
            },
            {
              name: "2600 Laos",
              image: "Community Partners-07.png",
              link: "https://www.facebook.com/2600laos/"
            },
            {
              name: "LaoHacker",
              image: "Community Partners-06.png",
              link: "https://www.facebook.com/l4oh4ck3r/"
            }
          ]
        }
      ],
      templatePartner: [
        {
          name: "Template Partner",
          sponsors: [
            {
              name: "GDG Philippines",
              image: "Community Partners-08.png",
              link: "https://www.gdgph.org/"
            }
          ]
        }
      ],
      platinumSponsors: [
        {
          name: "Platinum Sponsors",
          sponsors: [
            {
              name: "Google",
              image: "Sponsors-14.png",
              link: "https://www.google.com"
            },
            {
              name: "LaoITDev",
              image: "Sponsors-13.png",
              link: "https://laoitdev.com/"
            },
            {
              name: "Lao Development Bank",
              image: "Sponsors-15.png",
              link: "https://www.ldblao.la/"
            },
            {
              name: "Laotel",
              image: "Sponsors-16.png",
              link: "https://laotel.com/"
            }
          ]
        }
      ],
      goldSponsors: [
        {
          name: "Gold Sponsors",
          sponsors: [
            {
              name: "GoTeddy",
              image: "Sponsors-17.png",
              link: "https://www.goteddylab.com"
            },
            {
              name: "LoungOs",
              image: "Community Partners-04.png",
              link: "https://www.facebook.com/loungos"
            }
          ]
        }
      ],
      silverSponsors: [
        {
          name: "Silver Sponsors",
          sponsors: [
            {
              name: "Freshy drinking water",
              image: "Sponsors-22-2.png",
              link: "https://www.facebook.com/freshylaos/"
            },
            {
              name: "Lao Gateway",
              image: "Sponsors-21.png",
              link: "http://www.laogw.la/"
            },
            {
              name: "Sommay Premium",
              image: "Sponsors-23.png",
              link: "https://www.facebook.com/sommaypremium/"
            },
            {
              name: "Hobby Computer",
              image: "Sponsors-24.png",
              link: "https://www.facebook.com/HobbyComputerLao/"
            },
            {
              name: "Muan",
              image: "Sponsors-19.png",
              link: "https://muan.sanook.com/"
            },
            {
              name: "LAODC",
              image: "Sponsors-20.png",
              link: "#"
            },
            {
              name: "LTS Ventures",
              image: "Sponsors-28.png",
              link: "https://www.facebook.com/LTSVenture/"
            }
          ]
        }
      ]
    };
  }
};
</script>


<style lang="sass">
@import '../assets/style'

.HomeSponsors
  background-color: $color-surface
  text-align: center
  border-top: 1px solid rgba(0,0,0,0.5)
  border-bottom: 1px solid rgba(0,0,0,0.5)
  padding-top: 2rem
  padding-bottom: 5rem

  &__categories
    list-style-type: none
    padding: 0
    margin: 0

  &__sponsors
    list-style-type: none
    display: flex
    flex-wrap: wrap
    align-items: center
    justify-content: center
    padding: 0
    margin: 0
    

  &__sponsorimage
    max-width: 7rem
    max-height: 7rem
    margin: 2rem 4rem
    @include from($hd)
      margin: 3rem 5rem
      max-width: 7rem
      max-height: 7rem

  &__platinumsponsorimage
    max-width: 18rem
    max-height: 18rem
    margin: 2rem 4rem
    @include from($hd)
      margin: 3rem 5rem
      max-width: 15rem
      max-height: 15rem

  &__goldsponsorimage
    max-width: 9rem
    max-height: 9rem
    margin: 2rem 4rem
    @include from($hd)
      margin: 3rem 5rem
      max-width: 8rem
      max-height: 10rem

  &__silversponsorimage
    max-width: 8rem
    max-height: 8rem
    margin: 2rem 4rem
    @include from($hd)
      margin: 3rem 5rem
      max-width: 10rem
      max-height: 10rem

  &__email a
    text-decoration: none
    background-color: transparentize($color-background, 0.7)
    color: $color-accent
    
    font-size: 1.15rem
    padding: 0.5rem 1rem
    @include from($hd)
      font-size: 1.45rem
      padding: 0.75rem 1.25rem
</style>